Subject: Re: [PATCH v11 6/8] MAINTAINERS: rust: Add new sections for DELAY/SLEEP and TIMEKEEPING API

From: Andreas Hindborg <[email-masked]>
Date: Mon, 31 Mar 2025 21:43:50 +0200

"Boqun Feng" <[email-masked]> writes:

> On Sat, Mar 22, 2025 at 11:40:21PM +0100, Andreas Hindborg wrote:
>> Hi All,
>>
>> "Boqun Feng" <[email-masked]> writes:
>>
>> > On Sat, Mar 22, 2025 at 11:07:03AM +0900, FUJITA Tomonori wrote:
>> >> Thank you all!
>> >>
>> >> On Fri, 21 Mar 2025 14:00:52 -0700
>> >> Boqun Feng <[email-masked]> wrote:
>> >>
>> >> > On Fri, Mar 21, 2025 at 09:38:46PM +0100, Thomas Gleixner wrote:
>> >> >> On Fri, Mar 21 2025 at 20:18, Andreas Hindborg wrote:
>> >> >> >> Could you add me as a reviewer in these entries?
>> >> >> >>
>> >> >> >
>> >> >> > I would like to be added as well.
>> >> >>
>> >> >> Please add the relevant core code maintainers (Anna-Maria, Frederic,
>> >> >> John Stultz and myself) as well to the reviewers list, so that this does
>> >> >> not end up with changes going in opposite directions.
>> >> >>
>> >> >
>> >> > Make sense, I assume you want this to go via rust then (althought we
>> >> > would like it to go via your tree if possible ;-))?
>> >>
>> >
>> > Given Andreas is already preparing the pull request of the hrtimer
>> > abstraction to Miguel, and delay, timekeeping and hrtimer are related,
>> > these timekeeping/delay patches should go via Andreas (i.e.
>> > rust/hrtimer-next into rust/rust-next) if Thomas and Miguel are OK with
>> > it. Works for you, Andreas? If so...
>> >
>> >> Once the following review regarding fsleep() is complete, I will submit
>> >> patches #2 through #6 as v12 for rust-next:
>> >>
>> >> https://lore.kernel.org/linux-kernel/[email-masked]/
>> >>
>> >> The updated MAINTAINERS file will look like the following.
>> >>
>> >> diff --git a/MAINTAINERS b/MAINTAINERS
>> >> index cbf84690c495..858e0b34422f 100644
>> >> --- a/MAINTAINERS
>> >> +++ b/MAINTAINERS
>> >> @@ -10370,6 +10370,18 @@ F:	kernel/time/timer_list.c
>> >>  F:	kernel/time/timer_migration.*
>> >>  F:	tools/testing/selftests/timers/
>> >>
>> >> +DELAY AND SLEEP API [RUST]
>> >> +M:	FUJITA Tomonori <[email-masked]>
>> >> +R:	Boqun Feng <[email-masked]>
>> >> +R:	Andreas Hindborg <[email-masked]>
>> >
>> > ... this "R:" entry would be "M:",
>> >
>> >> +R:	Anna-Maria Behnsen <[email-masked]>
>> >> +R:	Frederic Weisbecker <[email-masked]>
>> >> +R:	Thomas Gleixner <[email-masked]>
>> >> +L:	[email-masked]
>> >> +L:	[email-masked]
>> >
>> > +T:	git https://github.com/Rust-for-Linux/linux.git hrtimer-next
>> >
>> >> +S:	Maintained
>> >
>> > I will let Andreas decide whether this is a "Supported" entry ;-)
>> >
>> >> +F:	rust/kernel/time/delay.rs
>> >> +
>> >>  HIGH-SPEED SCC DRIVER FOR AX.25
>> >>  L:	[email-masked]
>> >>  S:	Orphan
>> >> @@ -23944,6 +23956,17 @@ F:	kernel/time/timekeeping*
>> >>  F:	kernel/time/time_test.c
>> >>  F:	tools/testing/selftests/timers/
>> >>
>> >> +TIMEKEEPING API [RUST]
>> >
>> > and similar things for this entry as well.
>> >
>> >> +M:	FUJITA Tomonori <[email-masked]>
>> >> +R:	Boqun Feng <[email-masked]>
>> >> +R:	Andreas Hindborg <[email-masked]>
>> >> +R:	John Stultz <[email-masked]>
>> >> +R:	Thomas Gleixner <[email-masked]>
>> >
>> > +R:      Stephen Boyd <[email-masked]>
>> >
>> > ?
>> >
>> >> +L:	[email-masked]
>> >> +L:	[email-masked]
>> >> +S:	Maintained
>> >> +F:	rust/kernel/time.rs
>> >> +
>> >
>> > Tomo, let's wait for Andreas' rely and decide how to change these
>> > entries. Thanks!
>>
>> My recommendation would be to take all of `rust/kernel/time` under one
>> entry for now. I suggest the following, folding in the hrtimer entry as
>> well:
>>
>> DELAY, SLEEP, TIMEKEEPING, TIMERS [RUST]
>> M:	Andreas Hindborg <[email-masked]>
>
> Given you're the one who would handle the patches, I think this make
> more sense.
>
>> R:	Boqun Feng <[email-masked]>
>> R:	FUJITA Tomonori <[email-masked]>
>
> Tomo, does this look good to you?
>
>> R:	Lyude Paul <[email-masked]>
>> R:	Frederic Weisbecker <[email-masked]>
>> R:	Thomas Gleixner <[email-masked]>
>> R:	Anna-Maria Behnsen <[email-masked]>
>> R:	John Stultz <[email-masked]>
>
> We should add:
>
> R:      Stephen Boyd <[email-masked]>
>
> If Stephen is not against it.

Yes 👍

>
>> L:	[email-masked]
>> S:	Supported
>> W:	https://rust-for-linux.com
>> B:	https://github.com/Rust-for-Linux/linux/issues
>> T:	git https://github.com/Rust-for-Linux/linux.git rust-timekeeping-next
>> F:	rust/kernel/time.rs
>> F:	rust/kernel/time/
>>
>> If that is acceptable to everyone, it is very likely that I can pick 2-6
>> for v6.16.
>>
>
> You will need to fix something because patch 2-6 removes `Ktime` ;-)

Yea, but `Instant` is almost a direct substitution, right? Anyway, Tomo
can send a new spin and change all the uses of Ktime, or I can do it. It
should be straight forward. Either way is fine with me.

Best regards,
Andreas Hindborg